PANDA_NEWTEMPLATE(3)

NAME
panda_newtemplate - create a template page in the PDF

SYNOPSIS
 #include<panda/constants.h>
 #include<panda/functions.h>
 void panda_newtemplate(panda_pdf *document, char *pageSize);

DESCRIPTION

This function is used to create 'template' pages which can then be refered to on other pages. For instance, if you were creating a document that used a standard letter head, then it would make sense to construct the letterhead as a template, and then use this on all the pages. The created template looks and feels just like any other page in the document for the purposes of creating content. Refer to the panda_newpage man page for details on how to use pages.

RETURNS

A pointer to the template page

EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> panda_pdf *document; panda_page *templatepage; panda_init(); document = panda_open("filename.pdf", "w"); templatepage = panda_newtemplate (document, panda_pagesize_a4);

SEE ALSO

panda_newpage, panda_applytemplate

VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.